Bug 1874251 - p&f panic: oc delete user --as --as-groups didn't works as expected
Summary: p&f panic: oc delete user --as --as-groups didn't works as expected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.5.z
Assignee: Abu Kashem
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1855500
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-31 19:54 UTC by Abu Kashem
Modified: 2020-09-21 17:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1855500
Environment:
Last Closed: 2020-09-21 17:42:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 25458 None closed Bug 1874251: UPSTREAM: 94204: Add impersonated user to system:authenticated group 2020-09-21 08:14:00 UTC
Red Hat Product Errata RHBA-2020:3719 None None None 2020-09-21 17:42:21 UTC

Comment 2 Ke Wang 2020-09-14 06:49:47 UTC
$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.0-0.nightly-2020-09-12-063044   True        False         3h29m   Cluster version is 4.5.0-0.nightly-2020-09-12-063044

Impersonate-User: pm2
Impersonate-Group: group1

$ oc auth can-i list machines  --as=pm2 --as-group=group1 
no

$ oc adm policy add-cluster-role-to-group cluster-admin group1 
Warning: Group 'group1' not found

clusterrole.rbac.authorization.k8s.io/cluster-admin added: "group1"

$ oc auth can-i list machines  --as=pm2 --as-group=group1
yes

$ oc create user pm1 --full-name="pm1"
user.user.openshift.io/pm1 created

$ oc delete user pm1 --as=pm2 --as-group=group1
user.user.openshift.io "pm1" deleted

The command line 'oc delete user --as --as-groups' works as expected. so move the bug VERIFIED.

Comment 5 errata-xmlrpc 2020-09-21 17:42:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.11 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3719


Note You need to log in before you can comment on or make changes to this bug.